### Class

# Meta WorkspaceManager

#### Description

    final class Meta.WorkspaceManager : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### meta_workspace_manager_append_new_workspace

Append a new workspace to the workspace manager and (optionally) switch to that display.

###### meta_workspace_manager_get_active_workspace

No description available.

###### meta_workspace_manager_get_active_workspace_index

No description available.

###### meta_workspace_manager_get_layout_columns

No description available.

###### meta_workspace_manager_get_layout_rows

No description available.

###### meta_workspace_manager_get_n_workspaces

No description available.

###### meta_workspace_manager_get_workspace_by_index

Gets the workspace object for one of a workspace manager’s workspaces given the workspace index. It’s valid to call this function with an out-of-range index and it will robustly return `NULL`.

###### meta_workspace_manager_get_workspaces

No description available.

###### meta_workspace_manager_override_workspace_layout

Explicitly set the layout of workspaces. Once this has been called, the contents of the _NET_DESKTOP_LAYOUT property on the root window are completely ignored.

###### meta_workspace_manager_remove_workspace

No description available.

###### meta_workspace_manager_reorder_workspace

Reorder a workspace to a new index. If the workspace is currently active the “active-workspace-changed” signal will be emitted. If the workspace’s index is the same as `new_index` or the workspace will not be found in the list, this function will return.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.WorkspaceManager:layout-columns

No description available.

###### Meta.WorkspaceManager:layout-rows

No description available.

###### Meta.WorkspaceManager:n-workspaces

No description available.

#### Signals

###### Meta.WorkspaceManager::active-workspace-changed

No description available.

###### Meta.WorkspaceManager::showing-desktop-changed

No description available.

###### Meta.WorkspaceManager::workspace-added

No description available.

###### Meta.WorkspaceManager::workspace-removed

No description available.

###### Meta.WorkspaceManager::workspace-switched

No description available.

###### Meta.WorkspaceManager::workspaces-reordered

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaWorkspaceManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.